%define name scons
%define version 0.96.92
%define release %mkrel 1

Summary: Open Source software construction tool
Name: %{name}
Version: %{version}
Release: %{release}
Epoch: 1
Source0: http://prdownloads.sourceforge.net/scons/%{name}-%{version}.tar.bz2
License: MIT
Group: Development/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArchitectures: noarch
BuildRequires: libpython-devel
Requires: python
Url: http://www.scons.org/

%description
SCons is an Open Source software construction tool--that is, a build
tool; an improved substitute for the classic Make utility; a better way
to build software.  SCons is based on the design which won the Software
Carpentry build tool design competition in August 2000.

SCons "configuration files" are Python scripts, eliminating the need
to learn a new build tool syntax.  SCons maintains a global view of
all dependencies in a tree, and can scan source (or other) files for
implicit dependencies, such as files specified on #include lines.  SCons
uses MD5 signatures to rebuild only when the contents of a file have
really changed, not just when the timestamp has been touched.  SCons
supports side-by-side variant builds, and is easily extended with user-
defined Builder and/or Scanner objects.

%prep
%setup -q

%build
python setup.py build

%install
rm -rf %buildroot
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
mkdir -p %buildroot%_datadir/
mv %buildroot%_prefix/man %buildroot%_datadir/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.txt
%{_bindir}/scons
%{_bindir}/sconsign
%{_bindir}/scons-%version
%{_bindir}/sconsign-%version
%{_prefix}/lib/scons-%version/
%{_mandir}/man1/scons.1*
%{_mandir}/man1/sconsign.1*

%changelog
* Mon May  8 2006 Gtz Waschk <waschk@mandriva.org> 0.96.92-1mdk
- drop patch
- New release 0.96.92

* Wed May 03 2006 Michael Scherer <misc@mandriva.org> 0.96.91-2mdk
- fix QT detection on i586, as found by Götz ( spurious quote in patch 0 )
  
* Mon Mar 06 2006 Götz Waschk <waschk@mandriva.org> 0.96.91-1mdk
- New release 0.96.91
- use mkrel

* Sun Nov  6 2005 Gtz Waschk <waschk@mandriva.org> 1:0.96.1-4mdk
- make the previous fix work

* Sun Nov  6 2005 Gtz Waschk <waschk@mandriva.org> 0.96.1-3mdk
- another atempt of a fix by the same Gaetan Lehmann

* Sun Nov  6 2005 Gtz Waschk <waschk@mandriva.org> 1:0.96.1-2mdk
- lib64 patch by Gaetan Lehmann  

* Tue Aug  2 2005 Olivier Blin <oblin@mandriva.com> 1:0.96.1-1mdk
- revert to stable version 0.96.1

* Fri Apr 15 2005 Götz Waschk <waschk@linux-mandrake.com> 0.96.90-1mdk
- New release 0.96.90

* Tue Aug 24 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.96.1-1mdk
- New release 0.96.1

* Wed Aug 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.96-1mdk
- source URL
- New release 0.96

* Tue Mar  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.95-1mdk
- new version

* Fri Nov  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.94-1mdk
- new version

* Sun Aug 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.91-1mdk
- update file list
- new version

* Thu Jun 26 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90-1mdk
- new version

* Mon Jun 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.14-2mdk
- requires full python, not just the base

* Mon Jun 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.14-1mdk
- initial mdk package
